Bug 462891 - gdm depends on gnome-session
gdm depends on gnome-session
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-09-19 10:55 EDT by stephan.raue
Modified: 2015-01-14 18:21 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-09-25 15:20:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description stephan.raue 2008-09-19 10:55:38 EDT
Description of problem:
gdm dont start if gnome-session is not installed

How reproducible:
install gdm without gnome-session (XFCE Live-CD)
Comment 1 Ray Strode [halfline] 2008-09-19 14:05:56 EDT
GDM and gnome-session shared a lot of duplicate functionality, so in the last release Jon rewrote gnome-session to be general enough to be leveraged by GDM and removed the duplicate code from GDM.

GDM needs it to work.  Is gnome-session pulling in other deps you don't want? or is it just gnome-session?
Comment 2 Matthias Clasen 2008-09-25 15:20:29 EDT
We've made gdm require gnome-session

Note You need to log in before you can comment on or make changes to this bug.